/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\MirageDesert\DeathSpawn.cs
Lines of code: 75
***********************************************************/


using System;
using Server;
using Server.Misc;
using Server.Items;

namespace Server.Mobiles
{
	public class DeathSpawn : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{
			return WeaponAbility.ArmorIgnore;
		}
		[Constructable]
		public DeathSpawn() : base( AIType.AI_Melee, FightMode.Aggressor, 10, 1, 0.15, 0.4 )
		{
			Name = "Death";
			Body = 400;
			Hue = 1;

			ActiveSpeed = 0.01;
			CurrentSpeed = 0.01;
			PassiveSpeed = 0.01;

			SetStr( 666 );
			SetDex( 666 );
			SetInt( 666 );

			SetDamage( 1000, 1000 );

			SetDamageType( ResistanceType.Energy, 25 );
			SetDamageType( ResistanceType.Cold, 25 );
			SetDamageType( ResistanceType.Poison, 25 );
			SetDamageType( ResistanceType.Fire, 25 );

			SetSkill( SkillName.Swords, 400.0 );

			Fame = 300000;
			Karma = -300000;

			Item shroud = new HoodedShroudOfShadows();
			shroud.Movable = false;
			AddItem( shroud );

			Cloak cloak = new Cloak();
			cloak.Movable = false;
			cloak.Hue = 1109;
			AddItem( cloak );

			BoneGloves gloves = new BoneGloves();
			gloves.Hue = 1150;
			AddItem( gloves );

			Sandals sandals = new Sandals();
			sandals.Hue = 1150;
			AddItem( sandals );

			Scythe weapon = new Scythe();
			weapon.Hue = 33;
			weapon.Movable = false;
			AddItem( weapon );
		}

		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool ShowFameTitle{ get{ return false; } }
		public override bool BardImmune{ get{ return !Core.AOS; } }
		public override bool CanBeDamaged()
		{
			return false;
		}

		public override void DisplayPaperdollTo(Mobile to)
		{
		}

		public DeathSpawn( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}